package com.dxhy.erp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.config.sys.SysEnterpriseConfigDto;
import com.dxhy.api.model.config.sys.SysEnterpriseConfigEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author dxhy
 */
@Mapper
public interface SysEnterpriseConfigErpDao extends BaseMapper<SysEnterpriseConfigEntity> {

    /**
     * 待填
     *
     * @param aceId
     * @return
     */
    String getSecretKey(@Param("aceId") String aceId);

    /**
     * 待填
     *
     * @param taxno
     * @return
     */
    SysEnterpriseConfigDto getOrg(@Param("taxno") String taxno);

    SysEnterpriseConfigDto getOrgByCompany(@Param("company") String company);

    /**
     * 待填
     *
     * @return
     */
    List<String> getDbSource();

    /**
     * 待填
     *
     * @param taxno
     * @param password
     */
    void updatePassword(@Param("taxno") String taxno, @Param("password") String password);

    SysEnterpriseConfigDto getOrgType(@Param("gfTaxNo") String gfTaxNo);

    SysEnterpriseConfigDto findIdAndKey(@Param("taxno") String taxno);

    Integer checkBuyerEnterpriseCode(@Param("enterpriseCode") String enterpriseCode);

    List<SysEnterpriseConfigEntity> selectByCompany(String company);
}
